//----------------------------------------------------------------------------
// 
//	file: filename.cc
// 
//	function: filename manipulation  
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sat Oct 24 21:19:33 CDT 1998
// 
//	$Revision: 1.3 $ $Date: 2001/11/30 20:24:15 $
//	$Log: filename.cc,v $
//	Revision 1.3  2001/11/30 20:24:15  yschoe
//	pglissom v1.0 release
//
//	Revision 1.2  1999/02/09 07:42:25  yschoe
//	used strrchr(ansi compatible) instead of rindex
//
//	Revision 1.1  1998/10/26 03:47:05  yschoe
//	manipulates filename -- remove or swap extensions
//
//
//----------------------------------------------------------------------------

#include "filename.h"

//----------------------------------------------------------------------------
//	basename() 
//	  - get basename of a filename -- ignore extension following last period
//----------------------------------------------------------------------------
char *filename::basename(char *dest, const char *src) {

  char *last_period;

  last_period = strrchr(src,'.');

  if (last_period == NULL) return NULL;
  
  int  baselength = (int)(last_period-src);

  strncpy(dest,src,baselength); dest[baselength]='\0';

  return dest;

}

//----------------------------------------------------------------------------
//	swap_ext() 
//	  - swap extension
//----------------------------------------------------------------------------
char *filename::swap_ext(char *dest, const char *src, 
	const char *extension) {

  char *basename = filename::basename(dest,src);

  if (basename == NULL) return NULL;

  strncat(basename,".",2);
  strncat(basename,extension,strlen(extension)+1);

  return basename;

}
