//----------------------------------------------------------------------------
// 
//	file: parser.h
// 
//	function:  
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sat Aug  1 05:23:54 CDT 1998
// 
//	$Revision: 1.5 $ $Date: 1998/10/26 03:53:13 $
//	$Log: parser.h,v $
//	Revision 1.5  1998/10/26 03:53:13  yschoe
//	added next() function that returns the next token
//
//	Revision 1.4  1998/10/17 06:40:10  yschoe
//	fixed bug in scan_int() and scan_real(). fixed bug in rewind() (introduced
//	backup[])
//
//	Revision 1.3  1998/10/17 05:42:21  yschoe
//	implemented rest(char *)
//
//	Revision 1.2  1998/10/16 10:08:04  yschoe
//	added force_match(char *token) and made match funcitons to return
//	0 or 1 (fail/success).
//
//	Revision 1.1  1998/09/04 03:36:37  yschoe
//	fixed all warnings generated by -Wall
//
//
//----------------------------------------------------------------------------
#ifndef __PARSER_H
#define __PARSER_H

#include <iostream.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "real.h"

#define  DELIM " \t"

//----------------------------------------------------------------------------
//	CLASS parser
//	  - simple parser class
//----------------------------------------------------------------------------
class parser {

private:

  char *backup;
  char *cmd_head;	// point to beginning of parsed copy of string
  char *current;
  char *command;

public:

	parser(const char *cmd);
	~parser();

	int 	 match(char *token);
	int 	 force_match(char *token);
	int	 match_param(char *name, int *cols, int *rows);
	int	 scan_real(REAL *r_val);
	int	 scan_int(int *i_val);
	void	 rewind();
	void	 rest(char *dest); // copy current to dest
	char	*cur(); 
	int	 next(char *dest); // similar to cur() (copies the str to dest)
	
};		

#endif


