/*----------------------------------------------------------------------------*
 * 
 *	file: spike-code.h
 * 
 *	function: test if lookup table might enhance speed in SLISSOM synapses 
 *	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
 *	creation: Tue Sep 23 03:27:24 CDT 1997
 * 
 *	$Revision: 1.2 $ $Date: 1999/02/09 07:42:25 $
 *	$Log: spike-code.h,v $
 *	Revision 1.2  1999/02/09 07:42:25  yschoe
 *	init_normalized_leaky_table() added
 *
 *	Revision 1.1  1998/07/23 01:07:05  yschoe
 *	jul22 stable version (except netlayer)
 *
 *
 *----------------------------------------------------------------------------*/

#ifndef __SPIKE_CODE
#define __SPIKE_CODE

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <malloc.h>
#include <stdlib.h>
#include "real.h"

/*----------------------------------------------------------------------------*
 *	init_leaky_table() 
 *	  - malloc (call alloc_leaky_table()) and init leaky table values
 *----------------------------------------------------------------------------*/
extern REAL	*init_leaky_table(int bits, REAL decay_rate);
extern REAL	*init_normalized_leaky_table(int bits, REAL decay_rate);
#endif

