//----------------------------------------------------------------------------
// 
//	file: bbread.cc
// 
//	function: test blackboard routines  (reading from a file)
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Fri Jul 17 00:36:57 CDT 1998
// 
//	$Revision: 1.1 $ $Date: 1998/10/16 10:35:21 $
//	$Log: bbread.cc,v $
//	Revision 1.1  1998/10/16 10:35:21  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <nnview/blackboard.h>
#include <nnview/real.h>
#include <nnview/util.h>

#define INT int

int main(int argc, char *argv[]) {

  int i, j;
  INT p,q;
  INT *array;
  INT **array2;

  if (argc!=2) {
	printf("usage: bbread <blackboardfile>\n");
	exit(0);
  }

  blackboard *bb = new blackboard("blackboard test", 100);
  
  array = new INT [100];
  array2 = new INT* [100];
  for (int x=0; x<100; ++x) {
        array2[x] = new INT [10];
        for (int y=0; y<10; ++y) array2[x][y] = 0;
  }

  // let's try this in a different order
  bb->add("q",&q);
  bb->add("array",array,100);
  bb->add("j",&j);
  bb->add("array2",array2,100,10);
  bb->add("i",&i);
  bb->add("p",&p);

  // now clear it all
  i = j = 0; p = q = 0; 

  for (int k=0; k<100; ++k)
	array[k] = -1;

  // all variables must have been defined already
  bb->load(argv[1]);

  cout << "version = " << bb->version << "\n";
  cout << "comment = " << bb->comment << "\n";
  cout << "count   = " << bb->count << "\n";

  cout << "i = " << i << "\n";
  cout << "j = " << j << "\n";
  cout << "p = " << p << "\n";
  cout << "q = " << q << "\n";

  cout << "array = [ \n";
  for (int k=0; k<100; ++k)
	printf("%d%s",array[k],((k+1)%10==0)?"\n":", ");

  cout << "]\n\n\narray2 = [ \n";
  for (int x=0; x<100; ++x) 
   	for (int y=0; y<10; ++y) 
		printf("%d%s",array2[x][y],(y==9)?"\n":", ");

  cout << "]\n";

  bb->list();

}
