#!/usr/bin/perl

# Take out figure portion from a latex document
# and expand size by <scale>
#
# - sizes must be in numbers, not aliases
# - only work with nnonecolumn (or other nn ) styles.

if ($#ARGV != 0) {
	print "usage: extract-fig.pl <scale> < input.tex \n";
	exit ;
}

$scale=$ARGV[0];

$fig_flag = 0;

$count = 1;

# print "\\huge\n";

while (<STDIN>) {

  if (/\\begin{figure/) {
	$fig_flag = 1;
  	print "\\newpage\n";	
	next;
  }	
  if (/titledcap/) {
	$fig_flag = 0;
	print "\\vspace{1.25in}\n";
	print "\\centerline{Figure $count : CHOE}\n";
	print "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\n";
	$count++;
  }

  $matched = 0;
  if ($fig_flag) {
	$str = $_;
	while ($str =~ /{([0-9\.]+)([a-z]+)}/) {
		print $`."{";
		print $1*$scale;
		$matched = 1;
		$str = "$2}".$';
		$last = "$2}".$';
	}

	if ($matched) {
		print $last;
		$matched = 0;
	} else {
		print;
	}
  }

}
