//----------------------------------------------------------------------------
// 
//	file: hsvmat
// 
//	function: matrix of REAL into HSV ppm 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Wed Jan  6 00:03:12 CST 1999
// 
//	$Revision: $ $Date: $
//	$Log$
//
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
// 
//	file: ppmgdbmat.cc
// 
//	function: plot gdbmatrix dump in ppm format
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Thu Nov 26 04:52:52 CST 1998
// 
//	Revision: $ $Date: $
//	Log: 
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <stdio.h>
#include <nnview/ppmio.h>
#include <nnview/matrix.h>
#include <nnview/filename.h>
#include <nnview/real.h>
#include <nnview/hsvrgb.h>

//----------------------------------------------------------------------------
//	usage() 
//	  - prog usage
//----------------------------------------------------------------------------
void usage(int argc) {

  if (argc != 4) { 
    cout  << " usage: ppmmat <cols> <rows> <outputfile> < stdin " << endl;
    cout  << " 		- uses cartesian coordinate " << endl;
    exit(0);
  }

}

//----------------------------------------------------------------------------
//	draw_bar() 
//	  - fill in given rectangle with a value
//----------------------------------------------------------------------------
void draw_bar(int col, int row, int width, int height,
	REAL value, REAL **dest) {
 

  int start = col*width;
  int start_row = row*height;

  for (int i=start; i<start+width; ++i) 
     for (int j=start_row; j<start_row+height; ++j)
		dest[i][j] = value;

}
  
//----------------------------------------------------------------------------
//	main() 
//	  - the main
//----------------------------------------------------------------------------
int main(int argc, char *argv[]) {

  usage(argc);
	
  FILE *fp;

  int cols = atoi(argv[1]);
  int rows = atoi(argv[2]);
  int ppm_width = cols;
  int ppm_height = rows;

  matrix<REAL> *ppm_buff= new matrix<REAL>(ppm_width,ppm_height);

  ppmio *io = new ppmio(ppm_buff->mat,ppm_width,ppm_height,256);

  // get data from stdin
  for (int y=0; y<rows; ++y)
     for (int x=0; x<cols; ++x)
	cin >> ppm_buff->mat[x][y];

  // write matrix to ppm file
  io->ppmwrite(argv[3],0.0,0.0,PPM_GRAY);

  delete io;
  delete ppm_buff;

}

