#!/usr/bin/perl

$usage = <<EOF;
usage: mkwgtorstat.pl [-t|-p] [-m] <n> <wgt_or.stat-filename>
	-t  : theta only
	-p  : prob only
	-m  : max polar instead of probpolar
	<n> : size of map <n> x <n>

EOF


require "getopts.pl";
&Getopts('ptm');
	
if ($#ARGV != 1) {
	print $usage;
	exit;
}

$size = $ARGV[0];
$fname = $ARGV[1];
$option = ($opt_m)?"-maxpolar":"-probpolar";

#----------------------------------------
#	1. make the max theta plot
#----------------------------------------

if (!$opt_p) {
print "\n\n\n** Running procwgtstat-balanced2.pl **\n\n\n\n";
system("procwgtstat-balanced2.pl -thetapolar $size 0.001 $fname > $fname.thetapolar");

print "\n\n\n** Done **\n\n\n\n";

system("polarlines.tcl $fname.thetapolar");
}

#----------------------------------------
#	2. make the cumulative probability plot
#----------------------------------------

if (!$opt_t) {
print "\n\n\n** Running procwgtstat-balanced2.pl **\n\n\n\n";
system("procwgtstat-balanced2.pl $option $size 0.0 $fname > $fname.probpolar");

print "\n\n\n** Running polarmat.pl **\n\n\n\n";
system("polarmat.pl -S -p -a 10 $fname.probpolar > $fname.probpolar.polarmat");

system("procppmmat $fname.probpolar.polarmat");

print "\n\n\n** Done **\n\n\n\n";
}


